List:General Discussion« Previous MessageNext Message »
From:Dan Nelson Date:January 31 2000 5:03pm
Subject:Re: 3.23.9 compile failure
View as plain text  
In the last episode (Jan 31), web said:
> >Building of the latest MySQL versions require gcc 2.95.2.

The INSTALL-SOURCE file for 3.23.9 says

   * A working ANSI C++ compiler. `gcc' >= 2.8.1, `egcs' >= 1.0.2, SGI
     C++ and SunPro C++ are some of the compilers that are known to
     work.

> This is rather useless, as FreeBSD 3.x is not guaranteed to compile
> and/or work correctly under gcc 2.95.2.  So I would have to install
> gcc 2.95.2 in parallel with gcc 2.7.2.3 which is prone to disaster.

Multiple gcc's on the same system work just fine.  Just build
ports/lang/egcs, and run configure with like this:

CC=gcc295 CXX=g++295 ./configure
 
> If what you say is true, you have just eliminated FreeBSD 3.x as a
> platform for recent mysql...

I imagine that the FreeBSD port for mysql 3.23 (when it is created)
will include a port dependency on gcc 2.95, and make this automatic.

-- 
	Dan Nelson
	dnelson@stripped
Thread
3.23.9 compile failureweb30 Jan
  • Re: 3.23.9 compile failuresinisa31 Jan
RE: 3.23.9 compile failureweb31 Jan
  • Re: 3.23.9 compile failureDan Nelson31 Jan
    • Re: 3.23.9 compile failureLindsay Davies31 Jan
      • Re: 3.23.9 compile failureThimble Smith1 Feb
      • Re: 3.23.9 compile failuresinisa1 Feb
  • Re: 3.23.9 compile failuresasha1 Feb
    • Re: 3.23.9 compile failureThimble Smith1 Feb
    • Re: 3.23.9 compile failureAlok K. Dhir1 Feb
  • Re: 3.23.9 compile failuresasha1 Feb
RE: 3.23.9 compile failureweb31 Jan
Re: 3.23.9 compile failureSteven M. Schultz1 Feb
Re: 3.23.9 compile failureSteven M. Schultz1 Feb
  • Re: 3.23.9 compile failureLindsay Davies1 Feb
    • Re: 3.23.9 compile failurePaul DuBois1 Feb
  • Re: 3.23.9 compile failureTonu Samuel1 Feb
  • Re: 3.23.9 compile failurePeter Zaitsev2 Feb
  • Re: 3.23.9 compile failureTonu Samuel2 Feb